chiark / gitweb /
Improve installation instructions re git etc.
authorIan Jackson <ian@liberator.relativity.greenend.org.uk>
Tue, 20 Oct 2009 18:29:48 +0000 (19:29 +0100)
committerIan Jackson <ian@liberator.relativity.greenend.org.uk>
Tue, 20 Oct 2009 18:29:48 +0000 (19:29 +0100)
yarrg/README
yarrg/web/intro

index 39c6090..0a84f5c 100644 (file)
@@ -94,7 +94,7 @@ This program has quite a few dependencies:
 On other Linux distros the packages may have different names, but
 these should be roughly right for Debian and its derivatives.  You can
 install them with this rune:
-  sudo apt-get install build-essential libnetpbm10-dev netpbm libx11-dev libxtst-dev libpcre3-dev tk8.4 libxml-parser-perl libjson-perl
+  sudo apt-get install git-core build-essential libnetpbm10-dev netpbm libx11-dev libxtst-dev libpcre3-dev tk8.4 libxml-parser-perl libjson-perl
 
 
 The supplied helper programs
index c77f183..66dc15f 100755 (executable)
@@ -83,24 +83,27 @@ To install the client, install the `git' version control system
 and the other dependencies listed in the `Installation requirements'
 section of the README and then run:
 <pre>
-git clone http://www.chiark.greenend.org.uk/~ijackson/ypp-sc-tools/master/.git ypp-sc-tools
+git-clone http://www.chiark.greenend.org.uk/~ijackson/ypp-sc-tools/master/.git ypp-sc-tools
 cd ypp-sc-tools
 cd yarrg
 make
 </pre>
 this will download the code into the directory <code>ypp-sc-tools</code>,
-and build the software.
+and build the software.  (If your Linux is very up to date you may
+find that it complains that it doesn't know the command <kbd>git-core</kbd>.
+In that case, use <kbd>git core</kbd>, with a space, instead.)
 
 <p>
 
 When new versions of the upload client are released, you can:
 <pre>
 cd .../ypp-sc-tools
-git pull
+git-pull
 cd yarrg
 make
 </pre>
-to fetch the new version.
+to fetch the new version.  (Again, you may need <kbd>git pull</kbd>
+instead of <kbd>git-pull</kbd>.)
 
 <h2>Uploading from Windows</h2>